import { ConfigRequest } from './ConfigRequest';
export declare function configProviderForObject(config: object): ConfigProvider;
/**
 * Returns config value at given request path.
 *
 * Throws an error if default value is not defined and value at given path does not exist
 *
 * If value is not defined returns default value from request
 */
export declare type ConfigProvider = (request: ConfigRequest) => any;
