import { Container } from './Container';
import { Definition } from './Definition';
export declare class ContainerArg {
    /**
     * Returns argument value
     */
    getArgument(container: Container): Promise<any>;
    /**
     * Returns a definition or list of definitions of services that giver argument requires
     */
    getDependentServices(container: Container): Definition | Definition[];
    static is(value: any): value is ContainerArg;
}
