import { Container } from "../Container";
import 'reflect-metadata';
import { Definition } from "../Definition";
import { ServiceName } from "../types";
export interface ServiceType {
    (name?: ServiceName): ClassDecorator;
    useContainer(container: Container): void;
    _container?: Container;
}
export declare const Service: ServiceType;
export declare function getDefinitionForClass(clazz: Function): Definition;
